# This spec is backported to ALTLinux 4.1 automatically by rpmbph script. Do not edit it.
#
%define oname evince
%define major 2.22
Name: evince-gtk
Version: %major.2
Release: alt0.M41.1

Summary: A document viewer

License: GPL
Group: Office
Url: http://www.gnome.org/projects/evince/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://ftp.gnome.org/pub/GNOME/sources/%oname/%major/%oname-%version.tar.bz2
#Patch: %name-0.9.0-vfs.patch
#Patch: evince-0.9.2-libpoppler.patch
Patch: %name-2.22-nognome.patch
Patch1: %name-nognomevfs.patch

# Typical environment for GNOME program
Requires(post): GConf2
#Requires(post,postun): scrollkeeper
Requires(post,postun): desktop-file-utils
BuildPreReq: desktop-file-utils
BuildPreReq: rpm-build-compat

# need tetex for dvi support
# manually removed: libgnomeprintui-devel gnome-doc-utils 
# Automatically added by buildreq on Wed May 14 2008
BuildRequires: GConf gcc-c++ glibc-devel-static gnome-doc-utils gtk-doc intltool libGConf-devel libdbus-glib-devel libdjvu-devel libgio-devel libglade-devel libjpeg-devel libpoppler-glib-devel libtiff-devel python-modules-compiler

BuildPreReq: libglade-devel
BuildPreReq: libpoppler-devel >= 0.8 libpoppler-glib-devel >= 0.8 libdjvu-devel >= 3.5.17 ghostscript-classic

#Provides: %_bindir/%oname
Conflicts: %oname

%description
Evince is a document viewer capable of displaying multiple and single page docum
ent formats like PDF and Postscript.

%prep
%setup -q -n %oname-%version
%__bzip2 -k ChangeLog
# this patch marks places for disable gnome-vfs and gconf using
%patch

%build
%__autoreconf

%configure --disable-schemas-install --disable-scrollkeeper --enable-pdf \
	--enable-tiff --enable-djvu --disable-dvi \
	--enable-comics --enable-impress \
	--enable-t1lib --enable-pixbuf \
	--without-libgnome --without-keyring \
	--disable-nautilus  --with-print=gtk --enable-gtk-doc --enable-dbus

%make_build

%install
%makeinstall

%__subst "s|^NoDisplay.*||g" %buildroot%_desktopdir/%oname.desktop

%find_lang %oname
rm -rf %buildroot%_localstatedir/scrollkeeper

%post
%post_ldconfig
%gconf2_install %oname
%update_menus
#update_scrollkeeper
%update_desktopdb

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %oname
fi

%postun
%clean_menus
#clean_scrollkeeper
%clean_desktopdb
%postun_ldconfig

%files -f %oname.lang
%doc AUTHORS ChangeLog.bz2 NEWS README
%config %_sysconfdir/gconf/schemas/*.schemas
%_bindir/*
%_desktopdir/%oname.desktop
%_datadir/%oname/
#%_liconsdir/*
#%_miconsdir/*
%_iconsdir/hicolor/*/apps/*
%_man1dir/*
%_gtkdocdir/%oname/
%_libdir/evince/backends/*.so
%_libdir/evince/backends/*.evince-backend
%_libdir/libevbackend.so.*

# FIXME: some depends?
#%files -n nautilus-extension-evince
#%defattr(644,root,root,755)
#%attr(755,root,root) %_libdir/nautilus/extensions-1.0/*.so*
#%_libdir/nautilus/extensions-1.0/*

%changelog
* Thu Aug 07 2008 Yuri N. Sedunov <aris@altlinux.org> 2.22.2-alt0.M41.1
- backport to ALTLinux 4.1 (by rpmbph script)

* Sun Jun 15 2008 Vitaly Lipatov <lav@altlinux.ru> 2.22.2-alt1
- new version 2.22.2 (with rpmrb script)

* Thu May 01 2008 Vitaly Lipatov <lav@altlinux.ru> 2.22.1.1-alt1
- new version 2.22.1.1
- rebuild with libpoppler 0.8
- update buildreqs

* Fri Dec 28 2007 Vitaly Lipatov <lav@altlinux.ru> 2.21.1-alt1
- new version 2.21.1 (with rpmrb script)

* Sun Dec 09 2007 Vitaly Lipatov <lav@altlinux.ru> 2.20.2-alt2
- disable DVI support (see PostScript instead :))

* Thu Nov 29 2007 Vitaly Lipatov <lav@altlinux.ru> 2.20.2-alt1
- new version 2.20.2 (with rpmrb script)

* Sat Nov 10 2007 Vitaly Lipatov <lav@altlinux.ru> 2.20.1-alt4
- add Provides: bindir/name
- remove NoDisplay from desktop file (fix bug #13369)
- return dvi support

* Wed Nov 07 2007 Vitaly Lipatov <lav@altlinux.ru> 2.20.1-alt3
- fix gconf scheme install (bug #13333)

* Mon Nov 05 2007 Vitaly Lipatov <lav@altlinux.ru> 2.20.1-alt2
- build without GNOME (but gnomevfs, libgnome-keyring still used)

* Sun Oct 28 2007 Vitaly Lipatov <lav@altlinux.ru> 2.20.1-alt1
- new version 2.20.1 (with rpmrb script)
- update buildreq

* Wed Sep 26 2007 Vitaly Lipatov <lav@altlinux.ru> 2.20.0-alt1
- new version 2.20.0 (with rpmrb script)

* Wed Sep 05 2007 Vitaly Lipatov <lav@altlinux.ru> 2.19.92-alt1
- new version 2.19.92 (with rpmrb script)
- build with libpoppler 0.6

* Tue Jul 31 2007 Vitaly Lipatov <lav@altlinux.ru> 0.9.3-alt1
- new version 0.9.3 (with rpmrb script)

* Fri Jul 20 2007 Vitaly Lipatov <lav@altlinux.ru> 0.9.2-alt2
- reverted changes for build with libpoppler 0.5.4

* Thu Jul 12 2007 Vitaly Lipatov <lav@altlinux.ru> 0.9.2-alt1
- new version 0.9.2 (with rpmrb script)
- add ghostscript build requires
- still wait for libpoppler >= 0.5.9

* Wed Jun 20 2007 Vitaly Lipatov <lav@altlinux.ru> 0.9.1-alt1
- new version 0.9.1 (with rpmrb script)

* Sat Jun 09 2007 Vitaly Lipatov <lav@altlinux.ru> 0.9.0-alt1
- new version 0.9.0 (with rpmrb script)
- update buildreqs, fix comics build

* Sun Apr 29 2007 Vitaly Lipatov <lav@altlinux.ru> 0.8.1-alt1
- new version 0.8.1 (with rpmrb script)

* Wed Mar 14 2007 Vitaly Lipatov <lav@altlinux.ru> 0.8.0-alt1
- new version 0.8.0 (with rpmrb script)
- bzip ChangeLog (fix bug #11077), thanks icesik@

* Fri Feb 16 2007 Vitaly Lipatov <lav@altlinux.ru> 0.7.2-alt1
- new version 0.7.2 (with rpmrb script)

* Tue Dec 26 2006 Vitaly Lipatov <lav@altlinux.ru> 0.7.0-alt0.1
- new version 0.7.0 (with rpmrb script)

* Fri Oct 13 2006 Vitaly Lipatov <lav@altlinux.ru> 0.6.1-alt0.1
- new version 0.6.1 (with rpmrb script)

* Sun Sep 10 2006 Vitaly Lipatov <lav@altlinux.ru> 0.6.0-alt0.1
- new version (0.6.0), add icons
- remove debian menu, update buildreqs

* Thu Jul 20 2006 Vitaly Lipatov <lav@altlinux.ru> 0.5.4-alt0.1
- new version 0.5.4 (with rpmrb script)

* Sun May 21 2006 Vitaly Lipatov <lav@altlinux.ru> 0.5.2-alt0.1
- enable comics support
- fix build with new libpoppler

* Mon Mar 27 2006 Vitaly Lipatov <lav@altlinux.ru> 0.5.2-alt0.1
- new version (0.5.2)
- update buildreq, use make_build

* Mon Feb 13 2006 Vitaly Lipatov <lav@altlinux.ru> 0.4.0-alt1
- new version

* Sat Sep 10 2005 Vitaly Lipatov <lav@altlinux.ru> 0.4.0-alt0.1
- new version, build with libpoppler 0.4.2, djvu, t1lib
- build with new gnome-doc-utils

* Sun Jul 31 2005 Vitaly Lipatov <lav@altlinux.ru> 0.3.2-alt0.1
- first build for ALT Linux Sisyphus
